#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    long long x1,y1,x2,y2;
    int s;
    cin>>x1>>y1>>x2>>y2;
    if ((x1==x2)||(y1==y2))
               s=2;
    else if(abs(x1-x2)!=abs(y1-y2))
               s=0;
    else if((x1!=x2)&&(y1!=y2))
               s=1;

    cout<<s;
    return 0;
}